Overview
Examples
Screenshots
Comparisons
Applications
Download
Documentation
Tutorials
Bazaar
Status & Roadmap
FAQ
Authors & License
Forums
Funding Ultimate++
Search on this site
Search in forums












SourceForge.net Logo
Home » Developing U++ » Bazaar » firebird error message
firebird error message [message #47641] Tue, 21 February 2017 02:01 Go to next message
mtdew3q is currently offline  mtdew3q
Messages: 171
Registered: July 2010
Location: Upstate, NY (near Canada)
Experienced Member

Hi-

I am having trouble building firebird test from bazaar. I get this message:

/home/turbolinux/upp/bazaar/Firebird/Firebird.cpp (1802): error: invalid conversion from 'bool (*)(const Upp::String&, Upp::StatementExecutor&, Upp::Gate2<int, int>) {aka bool (
*)(const Upp::String&, Upp::StatementExecutor&, Upp::GateN<int, int>)}' to 'Upp::RunScript {aka bool (*)(const Upp::S
tring&, Upp::StatementExecutor&, Upp::Function<bool(int, int)>)}' [-fpermissive]

I tried to put a linking option -Wl,-lfbclient --gc-sections .
I have firebird-devel installed and put the right include directory and the right library director based on a dnf repoquery -l firebird-devel.x86_64 print out that looks like ... I don't know how to copy from xterm but the directories match. Someone suggested the terminator.

The compilation of FirebirdTest.cpp appears with okay message.

I am actually checking out other code, but I decided to check firebird out as in the bazaar to eliminate stuff I might have added.

I wanted to get back in to using U++ and check out firebird. I increased my waking hours so I can spend time doing cool stuff. I don't know where the time went since I last checked in.
Novo is so cool to make this for U++. I don't know if novo is using firebird on linux or windows with Upp.

I hope it something easy I am missing that can be corrected.

thx. - 3rdshiftcoder



Re: firebird error message [message #47642 is a reply to message #47641] Tue, 21 February 2017 02:33 Go to previous messageGo to next message
mtdew3q is currently offline  mtdew3q
Messages: 171
Registered: July 2010
Location: Upstate, NY (near Canada)
Experienced Member

Hi-

I am still wondering about the firebird error msg.
I got copying to work with xterm.I use xterm because function keys work with it in my gnu-cobol projects I am fooling with. I might get into gpre and hook cobol up with firebird later on. I have a work day off soon - maybe I can hook up cobol and firebird on my day off.

Here is my firebird-devel* list with

[root@localhost turbolinux]# dnf repoquery -l firebird-devel.x86_64
Last metadata expiration check: 2:30:14 ago on Mon Feb 20 17:55:50 2017.
/usr/include/firebird
/usr/include/firebird/ib_util.h
/usr/include/firebird/ibase.h
/usr/include/firebird/iberror.h
/usr/include/firebird/perf.h
/usr/include/ib_util.h
/usr/include/ibase.h
/usr/include/iberror.h
/usr/lib64/fb_config
/usr/lib64/libfbclient.so
/usr/lib64/libfbembed.so
/usr/lib64/libgds.so
/usr/sbin/fb_config
[root@localhost turbolinux]#

thx. - 3rdshiftcoder
Re: firebird error message [message #47643 is a reply to message #47642] Tue, 21 February 2017 06:03 Go to previous messageGo to next message
mtdew3q is currently offline  mtdew3q
Messages: 171
Registered: July 2010
Location: Upstate, NY (near Canada)
Experienced Member

Hi-

Is it possible that the version of firebird in the bazaar is not compatible with the version I am using from fedora repo. For i.e., If I am using 2.5.x does that create problems? I am thinking files could change like headers and libraries between versions. Please let me know if that is a possibility. My version of firebird is V2.5.5.26952 Firebird 2.5

thx.-
3rdshiftcoder
Re: firebird error message [message #47644 is a reply to message #47643] Tue, 21 February 2017 07:13 Go to previous messageGo to next message
mtdew3q is currently offline  mtdew3q
Messages: 171
Registered: July 2010
Location: Upstate, NY (near Canada)
Experienced Member

Hi-

I narrowed it down but don't understand. In find in files from the menu if you search Sql in uppsrc it talks about something being deprecated and gives a typedef that I guess is affecting this problem. I have a limited understanding of C++, so I can't fix it.

I'd be curious too if it gets fixed do I swap out the headers in the lib directory under firebird package in the bazaar with the current headers for my version of firebird. One of the headers in the code refers to that lib directory with an include statement.

Thanks for any help - 3rdshiftcoder
Re: firebird error message [message #47646 is a reply to message #47644] Tue, 21 February 2017 08:35 Go to previous messageGo to next message
mtdew3q is currently offline  mtdew3q
Messages: 171
Registered: July 2010
Location: Upstate, NY (near Canada)
Experienced Member

HI-

I may have narrowed it down a little more. It has to do with some automated testing. Apparently, you can feed a 'script' with a bunch of automated testing to a super statement executing thing that is deprecated and it runs the statements in the script and reports back if it was canceled or if errors. I don't really need it I don't think, but it is for automated testing of this fancy code. CONSOLE_APP_MAIN in firebird test demonstrates this script being run, and there are other tests that are run that don't use this automated script test. The new method to do this is overloaded about 4 times. It will require some refactoring to strip out the deprecated code and put the new script executor calling code in console_app_main. I don't think they will need that crazy typedef anymore.

I hope I helped someone find what is going on in the code. They probably could do that very fast and make the changes without me trying to figure it out anyway.

I am going to get in trouble if I don't get to bed. Work will be angry. I have to help run a busy clinic tomorrow!

I hope I figured that one out okay.

thx. - 3rdshiftcoder
Re: firebird error message [message #48951 is a reply to message #47646] Wed, 08 November 2017 18:10 Go to previous message
Novo is currently offline  Novo
Messages: 1046
Registered: December 2006
Experienced Contributor
The "invalid conversion" error should be fixed in git and svn now.

Regards,
Novo
Previous Topic: firebird: CharSet
Next Topic: SysInfo - linking fail
Goto Forum:
  


Current Time: Thu Jul 02 11:45:05 CEST 2020

Total time taken to generate the page: 0.01331 seconds